%define anolis_release 1
Name:      plotutils
Version:   2.6
Release: %{anolis_release}%{dist}
Summary:   GNU vector and raster graphics utilities and libraries

# libxmi is GPLv2+
# rest is GPLv3+
License:   GPLv2+ and GPLv3+
URL:       http://www.gnu.org/software/plotutils/
Source0:   ftp://ftp.gnu.org/gnu/plotutils/plotutils-%{version}.tar.gz
Patch0:    plotutils-2.6-png15.patch
Patch1:    plotutils-aarch64.patch
Patch2:    plotutils-werror-format-security.patch

BuildRequires:   gcc-c++
BuildRequires:   make
BuildRequires:   flex
BuildRequires:   libpng-devel
BuildRequires:   xorg-x11-proto-devel
BuildRequires:   libX11-devel
BuildRequires:   libXaw-devel
BuildRequires:   libXt-devel
BuildRequires:   libXext-devel
BuildRequires:   byacc

%description
The GNU plotutils package contains software for both programmers and
technical users. Its centerpiece is libplot, a powerful C/C++ function
library for exporting 2-D vector graphics in many file formats, both
vector and raster. It can also do vector graphics animations. Besides
libplot, the package contains command-line programs for plotting
scientific data. Many of them use libplot to export graphics

%package devel
Summary:     Headers for developing programs that will use %{name}
Requires:    %{name} = %{version}-%{release}

%description devel
This package contains the header files needed for developing %{name}
applications

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q
%patch0 -p1 -b .png15
%patch1 -p1 -b .aarch64
%patch2 -p1 -b .format-security

%build
%configure --disable-static --enable-libplotter --enable-libxmi --enable-ps-fonts-in-pcl

# fix rpath handling
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf docs-to-include
make install DESTDIR=$RPM_BUILD_ROOT
mkdir docs-to-include
mv ${RPM_BUILD_ROOT}%{_datadir}/ode docs-to-include
mv ${RPM_BUILD_ROOT}%{_datadir}/pic2plot docs-to-include
mv ${RPM_BUILD_ROOT}%{_datadir}/libplot docs-to-include
mv ${RPM_BUILD_ROOT}%{_datadir}/tek2plot docs-to-include
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%generate_compatibility_deps

%files
%doc docs-to-include/*
%{_bindir}/graph
%{_bindir}/ode
%{_bindir}/double
%{_bindir}/plot
%{_bindir}/pic2plot
%{_bindir}/plotfont
%{_bindir}/spline
%{_bindir}/tek2plot
%{_bindir}/hersheydemo
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_infodir}/*.info*

%dir %{abidir}
%{abidir}/*.dump
%{abidir}/graph-option.list
%{abidir}/ode-option.list
%{abidir}/double-option.list
%{abidir}/plot-option.list
%{abidir}/pic2plot-option.list
%{abidir}/plotfont-option.list
%{abidir}/spline-option.list
%{abidir}/tek2plot-option.list
%{abidir}/hersheydemo-option.list

%files devel
%{_includedir}/*.h
%{_libdir}/*.so

%files doc
%doc INSTALL AUTHORS ChangeLog TODO
%doc COMPAT COPYING NEWS THANKS README PROBLEMS KNOWN_BUGS

%changelog
* Mon Mar 27 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 2.6-1
- Init package from upstream
